Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2064403002: Fix buffer overflow parsing malformed rtp packet (Closed)

Created:
2 years, 3 months ago by danilchap
Modified:
2 years, 3 months ago
Reviewers:
åsapersson
CC:
webrtc-reviews_webrtc.org, tterriberry_mozilla.com, zhuangzesen_agora.io, danilchap, stefan-webrtc, mflodman
Base URL:
https://chromium.googlesource.com/external/webrtc.git@master
Target Ref:
refs/pending/heads/master
Project:
webrtc
Visibility:
Public.

Description

Fix buffer overflow parsing malformed rtp packet that has one-byte length extension going past extensions block BUG=chromium:620277 R=asapersson@webrtc.org Committed: https://crrev.com/30a3a751a68f1a076fb28f3ab55e4be80c2dfac5 Cr-Commit-Position: refs/heads/master@{#13168}

Patch Set 1 #

Total comments: 4

Patch Set 2 : fix format #

Unified diffs Side-by-side diffs Delta from patch set Stats (+7 lines, -0 lines) Patch
M webrtc/modules/rtp_rtcp/source/rtp_utility.cc View 1 1 chunk +7 lines, -0 lines 0 comments Download

Messages

Total messages: 13 (7 generated)
danilchap
2 years, 3 months ago (2016-06-15 12:21:27 UTC) #3
åsapersson
lgtm https://codereview.webrtc.org/2064403002/diff/1/webrtc/modules/rtp_rtcp/source/rtp_utility.cc File webrtc/modules/rtp_rtcp/source/rtp_utility.cc (right): https://codereview.webrtc.org/2064403002/diff/1/webrtc/modules/rtp_rtcp/source/rtp_utility.cc#newcode326 webrtc/modules/rtp_rtcp/source/rtp_utility.cc:326: if (ptrRTPDataExtensionEnd - ptr < (len+1)) { check ...
2 years, 3 months ago (2016-06-16 12:22:29 UTC) #4
danilchap
https://codereview.webrtc.org/2064403002/diff/1/webrtc/modules/rtp_rtcp/source/rtp_utility.cc File webrtc/modules/rtp_rtcp/source/rtp_utility.cc (right): https://codereview.webrtc.org/2064403002/diff/1/webrtc/modules/rtp_rtcp/source/rtp_utility.cc#newcode326 webrtc/modules/rtp_rtcp/source/rtp_utility.cc:326: if (ptrRTPDataExtensionEnd - ptr < (len+1)) { On 2016/06/16 ...
2 years, 3 months ago (2016-06-16 12:54:22 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2064403002/20001
2 years, 3 months ago (2016-06-16 12:54:38 UTC) #8
commit-bot: I haz the power
Try jobs failed on following builders: android_dbg on tryserver.webrtc (JOB_FAILED, http://build.chromium.org/p/tryserver.webrtc/builders/android_dbg/builds/14251)
2 years, 3 months ago (2016-06-16 13:04:37 UTC) #10
danilchap
2 years, 3 months ago (2016-06-16 13:57:32 UTC) #12
Message was sent while issue was closed.
Committed patchset #2 (id:20001) manually as
30a3a751a68f1a076fb28f3ab55e4be80c2dfac5 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698